; ANIM:5SQP:SEQU
; 2 1
; 255 0 1 0
; ANIM:5SQP:FRAM
; identifyFeatures
; 26 1
; 240 4 1 0 1 0 0 0 0 0
;  01ffffff 00000000 01ffffff 00000000 0000001f 00000000
;  0000001f 00000000 000003e0 00000000 000003e0 00000000
;  00001c00 00000000 00001c00 00000000 0007e000 00000000
;  0007e000 00000000 01f80000 00000000 01f80000 00000000
;  00000000 00000000
; 255 0 1 0
; ANIM:5SQP:FRAM
; identifyNumbers
; 32 1
; 240 7 1 0 1 0 0 0 0 0
;  0152b739 00ad48c6 0152b739 00ad48c6 00000000 00000000
;  00082884 00000000 00082884 00000000 00104508 00000000
;  00104508 00000000 00209210 00000000 00209210 00000000
;  00410042 00000000 00410042 00000000 00820021 00000000
;  00820021 00000000 01040000 00000000 01040000 00000000
;  00000000 00000000




;===============================================
; FiveSquare Sequence Data
;
;
; David D. Kaufman
;===============================================


#include "FiveSquareLibrary.h"


		;---------------------------------------------
		;	Animation Dispatch
		;
		;---------------------------------------------
AnimationDispatch
			IdxLongJump AnimationDispatch, CURSEQ
			goto identifyFeatures
			goto identifyNumbers
			bsf		SEQFLAGS,FLAG_LIST_DONE
			return


		;---------------------------------------------
		;	Animation Entry Points
		;
		;---------------------------------------------

			; identifyFeatures (26 frames)
			FrameByFrameAnim identifyFeatures, 4, 0xf0, identifyFeaturesData

			; identifyNumbers (32 frames)
			FrameByFrameAnim identifyNumbers, 7, 0xf0, identifyNumbersData

		;---------------------------------------------
		;	Animation Tables
		;
		;---------------------------------------------


identifyFeaturesData
			IdxLongJump identifyFeaturesData, DATAINDEX
			retlw	0xff		; @@@@@
			retlw	0xff		; @@@@@
			retlw	0xff		; @@@@@
			retlw	0x01		; @@@@@
								; @@@@@

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0xff		; @@@@@
			retlw	0xff		; @@@@@
			retlw	0xff		; @@@@@
			retlw	0x01		; @@@@@
								; @@@@@

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x1f		; @@@@@
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x1f		; @@@@@
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0xe0		; .....
			retlw	0x03		; @@@@@
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0xe0		; .....
			retlw	0x03		; @@@@@
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x1c		; .....
			retlw	0x00		; ..@@@
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x1c		; .....
			retlw	0x00		; ..@@@
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0xe0		; .....
			retlw	0x07		; @@...
			retlw	0x00		; .@@@@
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0xe0		; .....
			retlw	0x07		; @@...
			retlw	0x00		; .@@@@
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0xf8		; .....
			retlw	0x01		; @....
								; @@@@@

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0xf8		; .....
			retlw	0x01		; @....
								; @@@@@

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			bsf		SEQFLAGS, FLAG_DATA_DONE
			return


identifyNumbersData
			IdxLongJump identifyNumbersData, DATAINDEX
			retlw	0x39		; @@..@
			retlw	0xb7		; @@..@
			retlw	0x52		; .@@.@
			retlw	0x01		; ..@.@
								; @.@.@

			retlw	0xc6		; ..@@.
			retlw	0x48		; ..@@.
			retlw	0xad		; @..@.
			retlw	0x00		; @@.@.
								; .@.@.

			retlw	0x39		; @@..@
			retlw	0xb7		; @@..@
			retlw	0x52		; .@@.@
			retlw	0x01		; ..@.@
								; @.@.@

			retlw	0xc6		; ..@@.
			retlw	0x48		; ..@@.
			retlw	0xad		; @..@.
			retlw	0x00		; @@.@.
								; .@.@.

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x84		; ..@..
			retlw	0x28		; ..@..
			retlw	0x08		; .@.@.
			retlw	0x00		; @....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x84		; ..@..
			retlw	0x28		; ..@..
			retlw	0x08		; .@.@.
			retlw	0x00		; @....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x08		; .@...
			retlw	0x45		; .@...
			retlw	0x10		; @...@
			retlw	0x00		; .....
								; ....@

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x08		; .@...
			retlw	0x45		; .@...
			retlw	0x10		; @...@
			retlw	0x00		; .....
								; ....@

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x10		; @....
			retlw	0x92		; @....
			retlw	0x20		; ..@..
			retlw	0x00		; ....@
								; ...@.

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x10		; @....
			retlw	0x92		; @....
			retlw	0x20		; ..@..
			retlw	0x00		; ....@
								; ...@.

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x42		; ...@.
			retlw	0x00		; ...@.
			retlw	0x41		; .....
			retlw	0x00		; ...@.
								; ..@..

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x42		; ...@.
			retlw	0x00		; ...@.
			retlw	0x41		; .....
			retlw	0x00		; ...@.
								; ..@..

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x21		; ....@
			retlw	0x00		; ....@
			retlw	0x82		; .....
			retlw	0x00		; ..@..
								; .@...

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x21		; ....@
			retlw	0x00		; ....@
			retlw	0x82		; .....
			retlw	0x00		; ..@..
								; .@...

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x04		; .....
			retlw	0x01		; .@...
								; @....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x04		; .....
			retlw	0x01		; .@...
								; @....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
			retlw	0x00		; .....
								; .....

			bsf		SEQFLAGS, FLAG_DATA_DONE
			return


			end

